package DeleteAssetButton::CMS;

use strict;

sub add_js {
    my ($cb, $app, $tmpl) = @_;

    my ($old, $new);

    $old = <<HTML;
      </button>
    </mt:setvarblock>
HTML
    $old = quotemeta($old);

    $new = <<HTML;
      <button
         type="submit"
         accesskey="s"
         title="<__trans phrase="Delete to this asset (s)">"
         class="delete action button">
        <__trans phrase="Delete">
      </button>
    </mt:setvarblock>
HTML
    $$tmpl =~ s/$old/$new/;

    $old = <<HTML;
<mt:setvarblock name="jq_js_include" append="1">
HTML
    $old = quotemeta($old);

    my $plugin = $app->component('DeleteAssetButton');
    my $message = $plugin->translate('Are you delete really?');

    $new = <<HTML;
<mt:setvarblock name="jq_js_include" append="1">
    jQuery('button.delete').click(function(event) {
        if(window.confirm('$message')){
            jQuery('form#edit_asset input[name=return_args]').val('__mode=list&_type=asset&blog_id=<mt:var name="blog_id">');
            jQuery('form#edit_asset input[name=__mode]').val('delete');
        } else {
            return false;
        }
    });
HTML
    $$tmpl =~ s/$old/$new/;
}

1;
